<!--- 
|| VERSION CONTROL ||
$Header$
$Author$
$Date$
$Name$
$Revision$

|| DESCRIPTION || 
$Description: Updates a list of XML feeds $
$TODO: $

|| DEVELOPER ||
$Developer: David Whiterod (whiterod.david@saugov.sa.gov.au) $

|| ATTRIBUTES ||
$in: oid - a list of the object ids of the XML feed object$
$out:$

Based on updateXMLFeed (from core)

--->

<!--- @@displayname: Multiple XML Feed Update --->

<cfsetting enablecfoutputonly="Yes" requestTimeout="600">

<cfparam name="url.oid" default="">

<cfimport taglib="/farcry/fourq/tags/" prefix="q4">
<cfparam name="stargs.typename" default="dmXMLExport">

<cfoutput><span class="FormTitle">Updating XML Feeds</span><p></p></cfoutput>

<cfif Len(Trim(url.oid))>
  <cfloop index="i" list="#url.oid#">
		<q4:contentobjectget objectid="#i#" r_stobject="stObj">
		<cfif IsStruct(stObj) and not StructIsEmpty(stObj) and stObj.typename eq stArgs.typename>
				<cfscript>
						o = createObject("component", application.types[stArgs.typename].typePath);
						o.generate(stObj.objectid);
				</cfscript>
				<cfoutput></cfoutput>
				<cfoutput><span class="frameMenuBullet">&raquo;</span> Updated XML Feed <strong>#stObj.TITLE#</strong> (#i#)<p></cfoutput>
				
				<!--- <cfdump var="#stObj#"> --->
			
		<cfelse>
			<!--- not an XML feed --->
			<cfoutput><span class="frameMenuBullet">&raquo;</span> Warning: #i# is not an XML Feed<p></cfoutput>
		</cfif>
	</cfloop>
<cfelse>
  <cfoutput>
	<span class="frameMenuBullet">&raquo;</span> No XML feed object ids supplied<p>
	Supply argument as: oid=XMLFeed1ObjectID,XMLFeed2ObjectID, ...
	</cfoutput>		
</cfif>

<cfoutput><p>All done.</p></cfoutput>

<cfsetting enablecfoutputonly="No">
